from django.db import models

class Plugin(models.Model):
    """
    Plugin application

    >>> p = Plugin()
    >>> userId = 1
    >>> p.get_plugins_for_user(userId)
    ['test1', 'test2']
    >>> pluginName = "test3"
    >>> p.add_plugin(pluginName)
    True
    >>> p.get_plugins_for_user(userId)
    ['test1', 'test2', 'test3']
    """

    
    plugins = {
        1: ['test1', 'test2'],
        2: ['test2', 'test3']
    }

    def get_plugins_for_user(self, userId):
        return self.plugins[userId]

    def add_plugin(self, pluginName):
        self.plugins[1].append(pluginName)
        return True
        